Back to Redis

Check

content/operate/rs/7.8/references/rest-api/requests/nodes/check.md

latest2.5 KB
Original Source
MethodPathDescription
GET/v1/nodes/check/{uid}Runs checks on a cluster node

Check node {#get-node-check}

GET /v1/nodes/check/{int: uid}

Runs the following checks on a cluster node:

Check nameDescription
bootstrap_statusVerifies the local node's bootstrap process completed without errors.
servicesVerifies all Redis Enterprise Software services are running.
port_rangeVerifies the ip_local_port_range doesn't conflict with the ports Redis Enterprise might assign to shards.
pidfilesVerifies all active local shards have PID files.
capabilitiesVerifies all binaries have the proper capability bits.
existing_socketsVerifies sockets exist for all processes that require them.
host_settingsVerifies the following:
• Linux overcommit_memory setting is 1.
transparent_hugepage is disabled.
• Socket maximum connections setting somaxconn is 1024.
tcp_connectivityVerifies this node can connect to all other alive nodes.

Required permissions

Permission name
[view_node_check]({{< relref "/operate/rs/7.8/references/rest-api/permissions#view_node_check" >}})

Request {#get-request}

Example HTTP request

GET /v1/nodes/check/1

Request headers

KeyValueDescription
Hostcnm.cluster.fqdnDomain name
Acceptapplication/jsonAccepted media type

URL parameters

FieldTypeDescription
uidintegerThe node's unique ID.

Response {#get-response}

Returns a JSON object with the node's check results.

When errors occur, the server returns a JSON object with result: false and an error field that provides additional information. If an error occurs during a check, the error field only includes a message for the first check that fails.

Possible error messages:

  • "bootstrap request to cnm_http failed,resp_code: ...,resp_content: ..."
  • "process ... is not running or not responding (...)"
  • "could not communicate with 'supervisorctl': ..."
  • "connectivity check failed retrieving ports for testing"

Example JSON body

json
{
    "node_uid": 1,
    "result": true
}

Status codes {#get-status-codes}

CodeDescription
200 OKNo error